Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005605 [JEDI VCL] 00 JVCL Components feature always 2011-06-22 22:31 2012-02-23 11:58
Reporter stevegr View Status public  
Assigned To obones
Priority normal Resolution suspended  
Status resolved   Product Version Daily / GIT
Summary 0005605: Updates: TJvDBGrid, JvDBUltimGrid, JvDB
Description -----------------
Add unit JvDB.pas
-----------------
- New TJvDBDataSet class.
- GotoBookmark method can now use parameter for full control of Resync behavior.

---------
TJvDBGrid
---------
Features added:
- Resize column using double-click.
- When resize do not trigger title double-click event.
- CancelOnMouse property: Cancel current record when using mouse wheel or on column resizing using double-click.
- Move private ShowSelectColumnClick in the protected section.

Known bugs:
- If field data is very large to display, column width must be decreased on start up.
  (MaxColumnWidth cannot be used here).

-------------
JvDBUltimGrid
-------------
Features added:
- SortWith property (swClient): Add the ability to sort TClientDataSets.
- RestoreOnSort property: Current record position is restored after sorting.
- SortExcludedFields property: User can exclude columns from sorting.
- ClearSortedFields method: Reset any sorting is done so far.
- Fix the ADO 10 KB key limitation on sorting.
- AutoSort property can now enable/disable sorting. (was not used in JvDBUltimGrid)

Known bugs:
- DoubleClick on title MUST NOT sort column. ( Mantis 5602 )
Additional Information
Tags No tags attached.
Attached Files zip file icon JEDI-Contribute.zip [^] (43,258 bytes) 2011-06-22 22:31

- Relationships

-  Notes
(0018816)
AHUser (developer)
2011-07-10 12:03
edited on: 2011-07-10 12:04

The JvDBGrid.pas part is committed in svn revision 13085.
The JvDB.TJvDataSet is transformed to JvDBUtils.GotoBookmarkEx.

(0018824)
stevegr (reporter)
2011-07-14 20:16

Better replace lines 4387 - 4390
-> if Columns[FResizeColumnIndex].Width > DefaultColWidth then
-> Result := DefaultColWidth
-> else
-> Result := Columns[FResizeColumnIndex].Width;

with line
-> Result := DefaultColWidth;

Regards,
Stephen
(0018932)
obones (administrator)
2011-09-21 11:51

What's the status here?
(0018968)
AHUser (developer)
2011-09-21 17:33

The JvDBUltimGrid changes weren't applied as this was the second Mantis issue with the changes for JvDBUtils and JvDBGrid. The first didn't have the JvDBUtilmGrid changes.
(0018972)
obones (administrator)
2011-09-22 11:34

So maybe we can resolve this issue?

- Issue History
Date Modified Username Field Change
2011-06-22 22:31 stevegr New Issue
2011-06-22 22:31 stevegr File Added: JEDI-Contribute.zip
2011-07-10 12:03 AHUser Note Added: 0018816
2011-07-10 12:04 AHUser Note Edited: 0018816
2011-07-14 20:16 stevegr Note Added: 0018824
2011-09-21 11:51 obones Note Added: 0018932
2011-09-21 11:51 obones Status new => feedback
2011-09-21 17:33 AHUser Note Added: 0018968
2011-09-22 11:34 obones Note Added: 0018972
2012-02-23 11:58 obones Status feedback => resolved
2012-02-23 11:58 obones Resolution open => suspended
2012-02-23 11:58 obones Assigned To => obones


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker